// Code generated by go-swagger; DO NOT EDIT.

package template_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"io"
	"net/http"

	"github.com/go-openapi/runtime"

	"orus.io/orus-io/rednerd/models"
)

// AccountTemplatePreviewOKCode is the HTTP code returned for type AccountTemplatePreviewOK
const AccountTemplatePreviewOKCode int = 200

/*AccountTemplatePreviewOK The template preview

swagger:response accountTemplatePreviewOK
*/
type AccountTemplatePreviewOK struct {
	/*

	 */
	ContentDisposition string `json:"Content-Disposition"`
	/*

	 */
	ContentType string `json:"Content-Type"`
	/*

	 */
	ETag string `json:"ETag"`

	/*
	  In: Body
	*/
	Payload io.ReadCloser `json:"body,omitempty"`
}

// NewAccountTemplatePreviewOK creates AccountTemplatePreviewOK with default headers values
func NewAccountTemplatePreviewOK() *AccountTemplatePreviewOK {

	return &AccountTemplatePreviewOK{}
}

// WithContentDisposition adds the contentDisposition to the account template preview o k response
func (o *AccountTemplatePreviewOK) WithContentDisposition(contentDisposition string) *AccountTemplatePreviewOK {
	o.ContentDisposition = contentDisposition
	return o
}

// SetContentDisposition sets the contentDisposition to the account template preview o k response
func (o *AccountTemplatePreviewOK) SetContentDisposition(contentDisposition string) {
	o.ContentDisposition = contentDisposition
}

// WithContentType adds the contentType to the account template preview o k response
func (o *AccountTemplatePreviewOK) WithContentType(contentType string) *AccountTemplatePreviewOK {
	o.ContentType = contentType
	return o
}

// SetContentType sets the contentType to the account template preview o k response
func (o *AccountTemplatePreviewOK) SetContentType(contentType string) {
	o.ContentType = contentType
}

// WithETag adds the eTag to the account template preview o k response
func (o *AccountTemplatePreviewOK) WithETag(eTag string) *AccountTemplatePreviewOK {
	o.ETag = eTag
	return o
}

// SetETag sets the eTag to the account template preview o k response
func (o *AccountTemplatePreviewOK) SetETag(eTag string) {
	o.ETag = eTag
}

// WithPayload adds the payload to the account template preview o k response
func (o *AccountTemplatePreviewOK) WithPayload(payload io.ReadCloser) *AccountTemplatePreviewOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the account template preview o k response
func (o *AccountTemplatePreviewOK) SetPayload(payload io.ReadCloser) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AccountTemplatePreviewOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header Content-Disposition

	contentDisposition := o.ContentDisposition
	if contentDisposition != "" {
		rw.Header().Set("Content-Disposition", contentDisposition)
	}

	// response header Content-Type

	contentType := o.ContentType
	if contentType != "" {
		rw.Header().Set("Content-Type", contentType)
	}

	// response header ETag

	eTag := o.ETag
	if eTag != "" {
		rw.Header().Set("ETag", eTag)
	}

	rw.WriteHeader(200)
	payload := o.Payload
	if err := producer.Produce(rw, payload); err != nil {
		panic(err) // let the recovery middleware deal with this
	}
}

// AccountTemplatePreviewNotModifiedCode is the HTTP code returned for type AccountTemplatePreviewNotModified
const AccountTemplatePreviewNotModifiedCode int = 304

/*AccountTemplatePreviewNotModified Not Modified

swagger:response accountTemplatePreviewNotModified
*/
type AccountTemplatePreviewNotModified struct {
	/*

	 */
	ETag string `json:"ETag"`
}

// NewAccountTemplatePreviewNotModified creates AccountTemplatePreviewNotModified with default headers values
func NewAccountTemplatePreviewNotModified() *AccountTemplatePreviewNotModified {

	return &AccountTemplatePreviewNotModified{}
}

// WithETag adds the eTag to the account template preview not modified response
func (o *AccountTemplatePreviewNotModified) WithETag(eTag string) *AccountTemplatePreviewNotModified {
	o.ETag = eTag
	return o
}

// SetETag sets the eTag to the account template preview not modified response
func (o *AccountTemplatePreviewNotModified) SetETag(eTag string) {
	o.ETag = eTag
}

// WriteResponse to the client
func (o *AccountTemplatePreviewNotModified) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header ETag

	eTag := o.ETag
	if eTag != "" {
		rw.Header().Set("ETag", eTag)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(304)
}

// AccountTemplatePreviewUnauthorizedCode is the HTTP code returned for type AccountTemplatePreviewUnauthorized
const AccountTemplatePreviewUnauthorizedCode int = 401

/*AccountTemplatePreviewUnauthorized Unauthorized

swagger:response accountTemplatePreviewUnauthorized
*/
type AccountTemplatePreviewUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAccountTemplatePreviewUnauthorized creates AccountTemplatePreviewUnauthorized with default headers values
func NewAccountTemplatePreviewUnauthorized() *AccountTemplatePreviewUnauthorized {

	return &AccountTemplatePreviewUnauthorized{}
}

// WithPayload adds the payload to the account template preview unauthorized response
func (o *AccountTemplatePreviewUnauthorized) WithPayload(payload *models.Error) *AccountTemplatePreviewUnauthorized {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the account template preview unauthorized response
func (o *AccountTemplatePreviewUnauthorized) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AccountTemplatePreviewUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(401)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}

/*AccountTemplatePreviewDefault generic error response

swagger:response accountTemplatePreviewDefault
*/
type AccountTemplatePreviewDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAccountTemplatePreviewDefault creates AccountTemplatePreviewDefault with default headers values
func NewAccountTemplatePreviewDefault(code int) *AccountTemplatePreviewDefault {
	if code <= 0 {
		code = 500
	}

	return &AccountTemplatePreviewDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the account template preview default response
func (o *AccountTemplatePreviewDefault) WithStatusCode(code int) *AccountTemplatePreviewDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the account template preview default response
func (o *AccountTemplatePreviewDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the account template preview default response
func (o *AccountTemplatePreviewDefault) WithPayload(payload *models.Error) *AccountTemplatePreviewDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the account template preview default response
func (o *AccountTemplatePreviewDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AccountTemplatePreviewDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
